ASINH(3)

NAME
asinh, asinhf, asinhl - inverse hyperbolic sine functions

LIBRARY
libm

SYNOPSIS
#include <math.h>
double
asinh(double x);
float
asinhf(float x);
long double
asinhl(long double x);

DESCRIPTION
The asinh(), asinhf(), and asinhl() functions compute the inverse hyperbolic sine of the real argument x. For a discussion of error due to roundoff, see math(3).

RETURN VALUES
These functions return the inverse hyperbolic sine of x.

SEE ALSO
acosh(3), atanh(3), exp(3), math(3)

HISTORY
The asinh(), asinhf(), and asinhl() functions appeared in 4.3BSD, FreeBSD 2.0, and FreeBSD 10.0, respectively.